%global _vpath_builddir %{_target_platform}-qt5

Summary:        QPlatformTheme for a better Qt application inclusion in GNOME
Name:           qgnomeplatform
Version:        0.9.0
Release:        3%{?dist}
License:        LGPLv2+
URL:            https://github.com/FedoraQt/QGnomePlatform
Source0:        %{url}/archive/%{version}/QGnomePlatform-%{version}.tar.gz

# https://github.com/FedoraQt/QGnomePlatform/commit/e379a91c91cac1ad983aafd54535b6d3650c4653
Patch0001:      qgnomeplatform-fix-window-content-geometry-for-qt5-when-shadows-are-enabled.patch
Patch3000:      qgnomeplatform-use-more-updated-window-states-value.patch

BuildRequires:  make
BuildRequires:  pkgconfig(gio-2.0) pkgconfig(udev) pkgconfig(xkbcommon)
BuildRequires:  gtk3-devel gsettings-desktop-schemas-devel libinput-devel libXrender-devel

%description
QGnomePlatform is a Qt Platform Theme designed to use as many of the
GNOME settings as possible in unmodified Qt applications. It allows
Qt applications to fit into the environment as well as possible.

%package qt5
Summary:        Qt5 Platform Theme aimed to accommodate Gnome settings
BuildRequires:  qt5-qtbase-devel qt5-qtbase-static qt5-qtwayland-devel qt5-qtbase-private-devel libadwaita-qt5-devel
Requires:       adwaita-qt5
Supplements:    (qt5-qtbase and gnome-shell)

%description qt5
QGnomePlatform is a Qt5 Platform Theme aimed to accommodate as much of
GNOME settings as possibleand utilize them in Qt applications without
modifying them - making them fit into the environment as well as possible.

%prep
%autosetup -p1 -n QGnomePlatform-%{version}

%build
%cmake -DDECORATION_SHADOWS_SUPPORT=true
%cmake_build

%install
%cmake_install

%files qt5
%license LICENSE
%doc README.md
%{_qt5_libdir}/libqgnomeplatform.so
%{_qt5_plugindir}/platformthemes/libqgnomeplatformtheme.so
%{_qt5_plugindir}/wayland-decoration-client/libqgnomeplatformdecoration.so

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Mon Apr 03 2023 Miaojun Dong <zoedong@tencent.com> - 0.9.0-1
- initial build
